emacs data-source could (provide 'zeitgeist)

Bug #704934 reported by MartinDengler on 2011-01-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Zeitgeist Data-Sources
Low
Siegfried Gevatter

Bug Description

Here is the trivial patch:

$ bzr diff zeitgeist-dataproviders/emacs/zeitgeist.el
=== modified file 'emacs/zeitgeist.el'
--- emacs/zeitgeist.el 2010-08-08 17:06:04 +0000
+++ emacs/zeitgeist.el 2011-01-19 14:02:25 +0000
@@ -186,4 +186,6 @@
 (add-hook 'kill-emacs-hook 'zeitgeist-kill-emacs-hook)
 (add-hook 'before-save-hook 'zeitgeist-before-save-hook)

+(provide 'zeitgeist)
+
 ;;; zeitgeist.el ends here

Without this, when I evaluate (require 'zeitgeist), I get the predictable:

Debugger entered--Lisp error: (error "Required feature `zeitgeist' was not provided")
  require(zeitgeist)
  eval((require (quote zeitgeist)))
  eval-last-sexp-1(nil)
  eval-last-sexp(nil)
  call-interactively(eval-last-sexp nil nil)

...when zeitgeist.el is loaded.

Related branches

summary: - emacs data provider could (provide 'zeitgeist)
+ emacs data provider could (provide zeitgeist)
Siegfried Gevatter (rainct) wrote :

Committed. Thanks for the patch, Martin!

summary: - emacs data provider could (provide zeitgeist)
+ emacs data-source could (provide 'zeitgeist)
Changed in zeitgeist-dataproviders:
status: New → Fix Released

The changes are yet to be released.

Changed in zeitgeist-dataproviders:
assignee: nobody → Siegfried Gevatter (rainct)
importance: Undecided → Low
milestone: none → 0.2.0
status: Fix Released → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers